# stdex: stdex::parser::http_line_break Class Reference

Loading...
Searching...
No Matches
stdex::parser::http_line_break Class Reference

Test for HTTP line break (RFC2616: CRLF | LF) More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::http_line_break:

## Public Member Functions

virtual bool | match (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)
Public Member Functions inherited from stdex::parser::basic_parser< char >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)
bool | match (const std::basic_string< char, _Traits, _Ax > &text, size_t start=0, size_t end=(size_t) -1, int flags=match_default)
virtual void | invalidate ()

## Additional Inherited Members

Public Attributes inherited from stdex::parser::basic_parser< char >
interval< size_t > | interval
| Region of the last match.
Protected Attributes inherited from stdex::parser::basic_parser< char >
std::locale | m_locale

## Detailed Description

Test for HTTP line break (RFC2616: CRLF | LF)

## Member Function Documentation

## match()

virtual bool stdex::parser::http_line_break::match | ( | _In_reads_or_z_(end) const char * | text,
|  | size_t | start = `0`,
|  | size_t | end = `(size_t)-1`,
|  | int | flags = `match_default`
| ) |  |

inlinevirtual

Implements stdex::parser::basic_parser< char >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp